deepin 15.11自带的PHP版本为7.0,如若要用更新的版本,需要更换PHP源

更换源

sudo wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg
# deepin 15 是 debian stretch 的衍生版,所以采用 stretch 的源
sudo sh -c 'echo "deb https://packages.sury.org/php/ stretch main" > /etc/apt/sources.list.d/php.list'

更新系统

sudo apt-get update

安装PHP

sudo apt install php7.3